{% extends "client/client_list_base.html" %}

{% block right_of_title %}
  {% if besoins_installed %}<a class="btn btn-sm btn-dark me-3" href="{% url 'besoins:home' %}">Analyse des besoins</a>{% endif %}
  {{ block.super }}
{% endblock %}

{% block add_headers %}
{% if not view.is_archive %}<th>Appareil</th><th>Dès le</th><th>N° série</th><th>carte SIM</th>{% endif %}
{% endblock %}

{% block add_filters %}
{% if not view.is_archive %}<td></td><td></td><td></td><td></td>{% endif %}
{% endblock %}

{% block add_columns %}
{% if not view.is_archive %}
    {% with install=client.alarme_actuelle %}
    {% if not install %}
      <td>{% if client.date_resiliation %}résilié le {{ client.date_resiliation|date:'d.m.Y' }}
          {% else %}<span class="fst-italic">Aucun</span>{% endif %}
      </td>
      <td></td><td></td><td></td>
    {% else %}
      <td>{{ install.alarme.modele }}</td>
      <td>{{ client.date_tout_debut|date:'d.m.Y' }}
          {% if client.date_resiliation %}<br>jusqu'au {{ client.date_resiliation|date:'d.m.Y' }}
          {% elif install.date_fin_abo %}<br>jusqu'au {{ install.date_fin_abo|date:'d.m.Y' }}{% endif %}
      </td>
      <td><a href="{{ install.alarme.get_absolute_url }}">{{ install.alarme.no_serie }}</a></td>
      <td>{{ install.alarme.carte_sim }}</td>
    {% endif %}
    {% endwith %}
{% endif %}
{% endblock %}
